<?php
/**
 * @package web2feel
 * @since web2feel 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>

		<div class="entry-meta">
			<?php web2feel_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'Before' => '<div class="page-links">' . __( 'Страницы:', 'web2feel' ), 'After' => '</div>' ) ); ?>
		</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'web2feel' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', ', ' );

			if ( ! web2feel_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = __( 'Введите тег %2$s. Оставить ссылку <a href="%3$s" title="ссылка на %4$s" rel="bookmark">ссылка</a>.', 'web2feel' );
				} else {
					$meta_text = __( 'Оставить ссылку <a href="%3$s" title="ссылка на %4$s" rel="bookmark">permalink</a>.', 'web2feel' );
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = __( 'Эта запись была размещена в %1$s и теги %2$s. Оставить ссылку <a href="%3$s" title="ссылка на %4$s" rel="bookmark">ссылка</a>.', 'web2feel' );
				} else {
					$meta_text = __( 'Эта запись была размещена в %1$s. Оставить ссылку <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'web2feel' );
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink(),
				the_title_attribute( 'echo=0' )
			);
		?>

		<?php edit_post_link( __( 'Редактировать', 'web2feel' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->
